Subject: Re: [magma] magma Digest, Vol 62, Issue 2-- Querier to non-Querier transition questions

From: "Kimball, Karen E" <[email-masked]>
Date: Wed, 11 Nov 2009 15:58:57 +0000

Hi, All,

The reason the non-Querier adopts the Querier's  "Query Interval Code" (QQIC) and "robustness variable" (QRV)as its own is because these values determine the Querier Election Timers that the non-Querier will be running in the background.

It is vital that the non-Querier not falsely assume the true Querier is dead. If one of the General Queries were lost, and the non-Querier's timers were "too fast," it would inititiate Election-mode prematurely.

In reponse to the other question, if the non-Querier SHOULD become Querier, then it does use its own configured values.

If the user has divergent values over his/her network, that is their issue and not something that the IGMP protocol can resolve.

Thanks,
   Karen Kimball
   Hewlett Packard Company

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, November 10, 2009 11:36 PM
To: [email-masked]
Subject: magma Digest, Vol 62, Issue 2

If you have received this digest without all the individual message attachments you will need to update your digest options in your list subscription.  To do so, go to

https://www.ietf.org/mailman/listinfo/magma

Click the 'Unsubscribe or edit options' button, log in, and set "Get MIME or Plain Text Digests?" to MIME.  You can set this option globally for all the list digests you receive at this point.

Send magma mailing list submissions to
        [email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
        https://www.ietf.org/mailman/listinfo/magma
or, via email, send a message with subject or body 'help' to
        [email-masked]

You can reach the person managing the list at
        [email-masked]

When replying, please edit your Subject line so it is more specific than "Re: Contents of magma digest..."

Today's Topics:

   1. Re: IGMP Non Querier - Querier Transition (Indranil Bhattacharya)
   2. Re: IGMP Non Querier - Querier Transition (rajasekar bonthala)
   3. Re: IGMP Non Querier - Querier Transition (K.Kawaguchi)
   4. Re: IGMP Non Querier - Querier Transition (Bharat Joshi)

----------------------------------------------------------------------

Message: 1
Date: Wed, 11 Nov 2009 12:13:09 +0530
From: Indranil Bhattacharya <[email-masked]>
Subject: Re: [magma] IGMP Non Querier - Querier Transition
To: rajasekar bonthala <[email-masked]>
Cc: [email-masked]
Message-ID:
        <[email-masked]>
Content-Type: text/plain; charset="windows-1252"

Hi RajaSekhar,

                     When a non-qurier becomes a querier, it should always use configured query interval and in absense of a configured value default should be used.

Thanks,
Indranil
On Tue, Nov 10, 2009 at 12:28 PM, rajasekar bonthala < [email-masked]> wrote:

> RFC 3376 says that IGMP Non-Querier should adopt the robustness and
> Query interval from the Querier.
> Those sections are pasted below for reference.
>
> 4.1.6. QRV (Querier?s Robustness Variable)
>
> If non-zero, the QRV field contains the [Robustness Variable] value
>
> used by the querier, i.e., the sender of the Query. If the querier?s
>
> [Robustness Variable] exceeds 7, the maximum value of the QRV field,
>
> the QRV is set to zero. Routers adopt the QRV value from the most
>
> recently received Query as their own [Robustness Variable] value,
>
> unless that most recently received QRV was zero, in which case the
>
> receivers use the default [Robustness Variable] value specified in
>
> section 8.1 or a statically configured value.
>
> 4.1.7. QQIC (Querier?s Query Interval Code)
>
> The Querier?s Query Interval Code field specifies the [Query
>
> Interval] used by the querier. The actual interval, called the
>
> Querier?s Query Interval (QQI), is represented in units of seconds
>
> and is derived from the Querier?s Query Interval Code as follows:
>
> If QQIC < 128, QQI = QQIC
>
> If QQIC >= 128, QQIC represents a floating-point value as follows:
>
> 0 1 2 3 4 5 6 7
>
> +-+-+-+-+-+-+-+-+
>
> |1| exp | mant |
>
> +-+-+-+-+-+-+-+-+
>
> QQI = (mant | 0x10) << (exp + 3)
>
> Multicast routers that are not the current querier adopt the QQI
>
> value from the most recently received Query as their own [Query
>
> Interval] value, unless that most recently received QQI was zero, in
>
> which case the receiving routers use the default [Query Interval]
> value specified in section 8.2.
>
>
>
>
> The above sections says that these values need to adopted as their own
> values.
> But the RFC does not explain on whether the Non-Querier should
> continue with the adopted values,when transitions to Querier state (if
> the existing querier is down due to any reason).
>
> Can any one please clarify me on this.
>
> Thanks,
> RajaSekhar
>
> _______________________________________________
> magma mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/magma
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.ietf.org/mail-archive/web/magma/attachments/20091111/6155b4b0/attachment.htm>

------------------------------

Message: 2
Date: Wed, 11 Nov 2009 12:34:21 +0530
From: rajasekar bonthala <[email-masked]>
Subject: Re: [magma] IGMP Non Querier - Querier Transition
To: Indranil Bhattacharya <[email-masked]>
Cc: [email-masked]
Message-ID:
        <[email-masked]>
Content-Type: text/plain; charset="windows-1252"

Thanks for the reply.
But I do not understand the intention of adopting query interval and robustness value from the querier.

I guess that it adopts values from the Querier so that the NonQuerier should continue with the adopted values so as to avoid any change because of down of current querier.

Please mail me your analysis on this.

Thanks,
RajaSekhar

On Wed, Nov 11, 2009 at 12:13 PM, Indranil Bhattacharya < [email-masked]> wrote:

> Hi RajaSekhar,
>
>                      When a non-qurier becomes a querier, it should
> always use configured query interval and in absense of a configured
> value default should be used.
>
> Thanks,
> Indranil
>   On Tue, Nov 10, 2009 at 12:28 PM, rajasekar bonthala <
> [email-masked]> wrote:
>
>>   RFC 3376 says that IGMP Non-Querier should adopt the robustness and
>> Query interval from the Querier.
>> Those sections are pasted below for reference.
>>
>> 4.1.6. QRV (Querier?s Robustness Variable)
>>
>> If non-zero, the QRV field contains the [Robustness Variable] value
>>
>> used by the querier, i.e., the sender of the Query. If the querier?s
>>
>> [Robustness Variable] exceeds 7, the maximum value of the QRV field,
>>
>> the QRV is set to zero. Routers adopt the QRV value from the most
>>
>> recently received Query as their own [Robustness Variable] value,
>>
>> unless that most recently received QRV was zero, in which case the
>>
>> receivers use the default [Robustness Variable] value specified in
>>
>> section 8.1 or a statically configured value.
>>
>> 4.1.7. QQIC (Querier?s Query Interval Code)
>>
>> The Querier?s Query Interval Code field specifies the [Query
>>
>> Interval] used by the querier. The actual interval, called the
>>
>> Querier?s Query Interval (QQI), is represented in units of seconds
>>
>> and is derived from the Querier?s Query Interval Code as follows:
>>
>> If QQIC < 128, QQI = QQIC
>>
>> If QQIC >= 128, QQIC represents a floating-point value as follows:
>>
>> 0 1 2 3 4 5 6 7
>>
>> +-+-+-+-+-+-+-+-+
>>
>> |1| exp | mant |
>>
>> +-+-+-+-+-+-+-+-+
>>
>> QQI = (mant | 0x10) << (exp + 3)
>>
>> Multicast routers that are not the current querier adopt the QQI
>>
>> value from the most recently received Query as their own [Query
>>
>> Interval] value, unless that most recently received QQI was zero, in
>>
>> which case the receiving routers use the default [Query Interval]
>> value specified in section 8.2.
>>
>>
>>
>>
>> The above sections says that these values need to adopted as their
>> own values.
>> But the RFC does not explain on whether the Non-Querier should
>> continue with the adopted values,when transitions to Querier state
>> (if the existing querier is down due to any reason).
>>
>> Can any one please clarify me on this.
>>
>> Thanks,
>> RajaSekhar
>>
>> _______________________________________________
>> magma mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/magma
>>
>>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.ietf.org/mail-archive/web/magma/attachments/20091111/8ce18d0e/attachment.htm>

------------------------------

Message: 3
Date: Wed, 11 Nov 2009 16:11:59 +0900
From: "K.Kawaguchi" <[email-masked]>
Subject: Re: [magma] IGMP Non Querier - Querier Transition
To: "rajasekar bonthala" <[email-masked]>
Cc: [email-masked]
Message-ID: <[email-masked]>
Content-Type: Text/plain; charset=ISO-8859-7

Hi,

I think,
There is no rule here. However, an important problem does not here.
Because, general query is transmitted when Non-Querier changes to Querier.
QRV and QQIC in the query which a new Querier transmitted will be adopted to other Non-Queriers.
Considering an operation person's position, the clear value is good.
The specification of a product should be clarified. Moreover, The function which can choose the value of continuation or self may be good.

----- Original Message -----
> RFC 3376 says that IGMP Non-Querier should adopt the robustness and
Query
> interval from the Querier.
> Those sections are pasted below for reference.
>
> 4.1.6. QRV (Querier?s Robustness Variable)
>
> If non-zero, the QRV field contains the [Robustness Variable] value
>
> used by the querier, i.e., the sender of the Query. If the querier?s
>
> [Robustness Variable] exceeds 7, the maximum value of the QRV field,
>
> the QRV is set to zero. Routers adopt the QRV value from the most
>
> recently received Query as their own [Robustness Variable] value,
>
> unless that most recently received QRV was zero, in which case the
>
> receivers use the default [Robustness Variable] value specified in
>
> section 8.1 or a statically configured value.
>
> 4.1.7. QQIC (Querier?s Query Interval Code)
>
> The Querier?s Query Interval Code field specifies the [Query
>
> Interval] used by the querier. The actual interval, called the
>
> Querier?s Query Interval (QQI), is represented in units of seconds
>
> and is derived from the Querier?s Query Interval Code as follows:
>
> If QQIC < 128, QQI = QQIC
>
> If QQIC >= 128, QQIC represents a floating-point value as follows:
>
> 0 1 2 3 4 5 6 7
>
> +-+-+-+-+-+-+-+-+
>
> |1| exp | mant |
>
> +-+-+-+-+-+-+-+-+
>
> QQI = (mant | 0x10) << (exp + 3)
>
> Multicast routers that are not the current querier adopt the QQI
>
> value from the most recently received Query as their own [Query
>
> Interval] value, unless that most recently received QQI was zero, in
>
> which case the receiving routers use the default [Query Interval]
> value specified in section 8.2.
>
>
>
>
> The above sections says that these values need to adopted as their own
> values.
> But the RFC does not explain on whether the Non-Querier should
continue with
> the adopted values,when transitions to Querier state (if the existing
> querier is down due to any reason).
>
> Can any one please clarify me on this.
>
> Thanks,
> RajaSekhar
>
> _______________________________________________
> magma mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/magma
>
Best Regards
--
Kiyoaki Kawaguchi

------------------------------

Message: 4
Date: Wed, 11 Nov 2009 13:02:52 +0530
From: Bharat Joshi <[email-masked]>
Subject: Re: [magma] IGMP Non Querier - Querier Transition
To: rajasekar bonthala <[email-masked]>, Indranil
        Bhattacharya    <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Message-ID:
        <[email-masked]>

Content-Type: text/plain;       charset="Windows-1252"

Hi Rajasekar,

       Non-querier routers and hosts learns the QQIV, Robustness Variable from the querier's query and use them till the querier change. When the querier change, they again learned the new values. This is done to make sure that all the non-queriers and hosts on the LAN behaves in a similar way. The usage of these values are anyway available in the RFC.

       Once a non-querier becomes a querier, it should start using its configured values [or default values] and other non-queriers and hosts will learn these new values and use them.

Thanks,
Bharat
________________________________________
From: [email-masked] [[email-masked]] On Behalf Of rajasekar bonthala [[email-masked]]
Sent: Wednesday, November 11, 2009 12:34 PM
To: Indranil Bhattacharya
Cc: [email-masked]
Subject: Re: [magma] IGMP Non Querier - Querier Transition

Thanks for the reply.
But I do not understand the intention of adopting query interval and robustness value from the querier.

I guess that it adopts values from the Querier so that the NonQuerier should continue with the adopted values so as to avoid any change because of down of current querier.

Please mail me your analysis on this.

Thanks,
RajaSekhar

On Wed, Nov 11, 2009 at 12:13 PM, Indranil Bhattacharya <[email-masked]<mailto:[email-masked]>> wrote:
Hi RajaSekhar,

                     When a non-qurier becomes a querier, it should always use configured query interval and in absense of a configured value default should be used.

Thanks,
Indranil
On Tue, Nov 10, 2009 at 12:28 PM, rajasekar bonthala <[email-masked]<mailto:[email-masked]>> wrote:
RFC 3376 says that IGMP Non-Querier should adopt the robustness and Query interval from the Querier.
Those sections are pasted below for reference.

4.1.6. QRV (Querier?s Robustness Variable)

If non-zero, the QRV field contains the [Robustness Variable] value

used by the querier, i.e., the sender of the Query. If the querier?s

[Robustness Variable] exceeds 7, the maximum value of the QRV field,

the QRV is set to zero. Routers adopt the QRV value from the most

recently received Query as their own [Robustness Variable] value,

unless that most recently received QRV was zero, in which case the

receivers use the default [Robustness Variable] value specified in

section 8.1 or a statically configured value.

4.1.7. QQIC (Querier?s Query Interval Code)

The Querier?s Query Interval Code field specifies the [Query

Interval] used by the querier. The actual interval, called the

Querier?s Query Interval (QQI), is represented in units of seconds

and is derived from the Querier?s Query Interval Code as follows:

If QQIC < 128, QQI = QQIC

If QQIC >= 128, QQIC represents a floating-point value as follows:

0 1 2 3 4 5 6 7

+-+-+-+-+-+-+-+-+

|1| exp | mant |

+-+-+-+-+-+-+-+-+

QQI = (mant | 0x10) << (exp + 3)

Multicast routers that are not the current querier adopt the QQI

value from the most recently received Query as their own [Query

Interval] value, unless that most recently received QQI was zero, in

which case the receiving routers use the default [Query Interval]

value specified in section 8.2.

The above sections says that these values need to adopted as their own values.
But the RFC does not explain on whether the Non-Querier should continue with the adopted values,when transitions to Querier state (if the existing querier is down due to any reason).

Can any one please clarify me on this.

Thanks,
RajaSekhar

_______________________________________________
magma mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/magma

**************** CAUTION - Disclaimer ***************** This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely for the use of the addressee(s). If you are not the intended recipient, please notify the sender by e-mail and delete the original message. Further, you are not to copy, disclose, or distribute this e-mail or its contents to any other person and any such actions are unlawful. This e-mail may contain viruses. Infosys has taken every reasonable precaution to minimize this risk, but is not liable for any damage you may sustain as a result of any virus in this e-mail. You should carry out your own virus checks before opening the e-mail or attachment. Infosys reserves the right to monitor and review the content of all messages sent to or from this e-mail address. Messages sent to or from this e-mail address may be stored on the Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***

------------------------------

_______________________________________________
magma mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/magma

End of magma Digest, Vol 62, Issue 2
************************************